[script]
n0=on *:text:*:#halfoper: {
n1=  if $regex($1,/^([!\.]konum)$/i) {
n2=    if !$2 { msg # Lütfen !Konum IP/Nick olarak belirtiniz. | return }
n3=    set %:kanal #
n4=    if $regex($2,/(\d+\.\d+\.\d+\.\d+)) { _nerden $2 }
n5=    else { .enable #nerdenbul | .who +I $2 }
n6=  }
n7=}
n8=#nerdenbul off
n9=raw 352:*: _nerden $4 
n10=raw 315:*:.disable #nerdenbul
n11=#nerdenbul end
n12=alias _nerden { var %:r $r(1000,99999) | sockopen $+(yerbul,%:r) www.ipaddresslocation.org 80 | sockmark $+(yerbul,%:r) $1 }
n13=alias htmlfree { if ($len($1-) <= 900) { var %x, %i = $regsub($1,/(^[^<]*>|<[^>]*>|<[^>]*$)/g,$null,%x), %x = $remove(%x, ,$chr(9)) | return %x } } 
n14=on *:sockopen:yerbul*:{  
n15=  sockwrite -n $sockname GET $+(/ip-address-locator.php?lookup=,$sock($sockname).mark) HTTP/1.1
n16=  sockwrite -n $sockname Host: www.ipaddresslocation.org
n17=  sockwrite -n $sockname Connection: keep-alive
n18=  sockwrite -n $sockname Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
n19=  sockwrite -n $sockname User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/40.0.2214.111 Safari/537.36
n20=  sockwrite -n $sockname $crlf  
n21=} 
n22=on *:sockread:yerbul*:{  
n23=  var %:yerbul | sockread -f %:yerbul
n24=  if (Hostname: isin %:yerbul) { msg %:kanal Hostname:4 $iif(!$token($htmlfree(%:yerbul),3,58),Belirsiz,$token($htmlfree(%:yerbul),3,58)) }
n25=  if (IP Country: isin %:yerbul) { msg %:kanal Ülke:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n26=  if (IP Country Code: isin %:yerbul) { msg %:kanal Ülke Kodu:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n27=  if (IP Continent: isin %:yerbul) { msg %:kanal Kita:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n28=  if (IP City: isin %:yerbul) { msg %:kanal Sehir:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n29=  if (IP Latitude: isin %:yerbul) { msg %:kanal Enlem:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n30=  if (IP Longitude: isin %:yerbul) { msg %:kanal Boylam:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) }
n31=  if (ISP Provider: isin %:yerbul) { msg %:kanal ISP:4 $iif(!$token($htmlfree(%:yerbul),2,58),Belirsiz,$token($htmlfree(%:yerbul),2,58)) | sockclose $sockname }
n32=}
